Bug 246413 - RFE: NetworkManager should not touch bridge interfaces
RFE: NetworkManager should not touch bridge interfaces
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-01 22:20 EDT by Jonathan Steffan
Modified: 2008-04-10 16:36 EDT (History)
0 users

See Also:
Fixed In Version: 0.6.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 16:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2007-07-01 22:20:42 EDT
Description of problem:
I have a bridge setup for KVM. eth0 and vmnetX are in br0. Well, I like using NM
for all my VPN stuff, but it refuses to leave eth0 alone and insists on running
dhclient for me.

Version Release number of selected component (if applicable):
NetworkManager-0.6.5-6.fc7


How reproducible:
Always

Steps to Reproduce:
1. Create a bridge
2. Add interface to bridge, assign IP to bridge
3. Start NM
4. Watch your bridge members get managed by NM
  
Actual results:
NM reconfigures my interface(s) when I don't want it to.

Expected results:
NM leaves my bridge interfaces alone.

Additional info:
I've tried adding IPADDR=0.0.0.0 to eth0 to try and trick NM into thinking to
leave the interface alone. No go.
Comment 1 Christopher Aillon 2007-07-02 11:06:42 EDT
you want NM_CONTROLLED=no in your sysconfig interface file
Comment 2 Jonathan Steffan 2007-07-02 12:44:39 EDT
Thanks! Where is this documented? I'm not seeing it in the initscripts
documentation. Also, when I set NM_CONTROLLED=no for eth0, I am unable to use NM
for vpn anyways.
Comment 3 Dan Williams 2008-04-10 16:36:09 EDT
It's not in the initscripts for F7, it's read only by NetworkManager there.

Note You need to log in before you can comment on or make changes to this bug.